/*
--01 TYPOGRAOHY SYSTEM
--FONT SIZE SYSTEM (px)
10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98
--FONT WEIGHT
default:400

--Line Height
Default:1

--Colors
--primary:#ebbebe
--Tints: #fdf9f9;

--Shades
--Accents
Greys #555

--05 Shadows

--06 Borders-radius
--07 WhiteSpace


--SPACING SYSTEM (px)
2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128
1rm = 10px
 */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;
}
body {
  font-family: "Rubik", sans-sarif;
  line-height: 1;
  font-weight: 400;
  color: #555;
  overflow-x: hidden;
}
/**************************/
/* General REUSEABLE COMPONENTS */
/**************************/


.container{
  max-width: 120rem;
  padding: 0 3.2rem;
  margin:0 auto;
  
}
.grid{
  display: grid;
  column-gap: 6.4rem;
  row-gap: 9.6rem;
  /* gap: 9.6rem; */ 
}

.grid:not(:last-child) {
  margin-bottom: 9.6rem;
}
.grid--2-cols{
  grid-template-columns: repeat(2,1fr);
}
.grid--3-cols{
  grid-template-columns: repeat(3,1fr);
}
.grid--4-cols{
  grid-template-columns: repeat(4,1fr);
}
.grid--5-cols{
  grid-template-columns: repeat(5,1fr);
}

.grid--center-v{
  align-items: center;
  margin-bottom: 2.4rem;
}

.heading-primary ,
.heading-secondary,
.heading-tertiary{
  font-weight: 700;
  color: #333;
  letter-spacing: -0.5px;
  
}

.heading-primary{
font-size: 5.2rem;
line-height: 1.05;
margin-bottom: 3.2rem;
}

.heading-secondary{
    font-size: 4.4rem;
    line-height: 1.2;
    margin-bottom: 9.6rem;

}
.heading-tertiary{
   font-size: 3rem; 
   line-height: 1.2;
   margin-bottom: 3.2rem;
}
.heading-forth{
  font-size: 2.4rem;
  line-height: 1.2;
  color: #cd5c5c;
  padding: 0;
}
.subheading{
    display: block;
    font-size: 2.4rem;
    font-weight: 500;
    color: #cd5c5c;
    text-transform: uppercase;
    margin-bottom: 1.6rem;
    letter-spacing: 0.75px;
    /* put transition on original "state"*/
    transition: background-color 0.3s;
}
.btn,
.btn:link,
.btn:visited {
  display: inline-block;
  background-color: #cd5c5c;
  text-decoration: none;
  font-weight: 600;
  font-size: 2rem;
  padding: 1.6rem 3.2rem;
  border-radius: 9px;
  /* transition: background-color 0.3s; */

  /* Only necessary for .btn */
  border: none;
  cursor: pointer;
  font-family: inherit;

  
  /* Put transition on original "state" */
  /* transition: background-color 0.3s; */
  transition: all 0.3s;
}

.btn--full:link,
.btn--full:visited {
  background-color: #cd5c5c;
  color: #fff;
}
.btn--full:hover,
.btn--full:active {
  background-color: #904040;
  color: #fff;
}

/* HELPER/SETTINGS CLASSES */
.center-text{
  text-align: center;
}
strong{
  font-size: 500;
}
.margin-right-sm {
  margin-right: 1.6rem !important;
}
.margin-bottom-md{
  margin-bottom: 4.8rem !important;
}


.link:link,
.link:visited {
  display: inline-block;
  color: #cd5c5c;
  text-decoration: none;
  border-bottom: 1px solid currentColor;
  padding-bottom: 2px;
  transition: all 0.3s ease-in-out;
}

.link:hover,
.link:active {
  color: #cd5c5c;
  border-bottom: 1px solid transparent;
}

/* .list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
} */

/* .list-item {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.6rem;
  line-height: 1.2;
} */

/* .list-icon {
  width: 3rem;
  height: 3rem;
  color: #e67e22;
} */

*:focus {
  outline: none;
  /* outline: 4px dotted #e67e22; */
  /* outline-offset: 8px; */
  box-shadow: 0 0 0 0.8rem rgba(230, 125, 34, 0.5);
}